#ifndef MUSICA_HPP
#define MUSICA_HPP

/*--------------------------------------------------------------------------------------------------------------
 * INCLUDES
 *-------------------------------------------------------------------------------------------------------------*/
#include "utils.hpp"

namespace bp
{
  

/*--------------------------------------------------------------------------------------------------------------
 * CLASS: Muscia
 *-------------------------------------------------------------------------------------------------------------*/
class Musica
{
	/*--------------------------------------------------------------------------------------------------------------
	* PUBLIC METHODS
	*--------------------------------------------------------------------------------------------------------------*/         
	public:
									Musica						(void);
									~Musica						(void);
		static Mix_Music*			Cargar						(const char* RutaMusica);
		static void					Sonar						(Mix_Music* pieza) { Mix_PlayMusic(pieza, 0); }
		static void					Parar						() { Mix_HaltMusic(); }
		static bool					EstaSonado					() { return (Mix_PlayingMusic() == 0) ? false : true; }
    
};

} // namespace bp

#endif // MUSICA_HPP

